Tryton - Issues

 

Issue7414

Title Missing translations for button strings on 4.8 version
Priority bug Status resolved
Superseder Nosy List ced, pokoli, reviewbot, roundup-bot, udono
Type behavior Components
Assigned To pokoli Keywords review
Reviews 45081002
View: 45081002

Created on 2018-05-03.16:47:51 by pokoli, last changed by roundup-bot.

Messages
New changeset eff36907c3bd by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/web_user/rev/eff36907c3bd
New changeset 480a86a24a85 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/stock_split/rev/480a86a24a85
New changeset 03e9b1f0d29f by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/stock_package_shipping_ups/rev/03e9b1f0d29f
New changeset 5d2b8e999e3c by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/stock_package_shipping/rev/5d2b8e999e3c
New changeset 8a31050166ca by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/stock_location_move/rev/8a31050166ca
New changeset f8544d3450de by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/stock_forecast/rev/f8544d3450de
New changeset 3248068c671f by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/stock/rev/3248068c671f
New changeset d533f4a3d752 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/sale_supply_drop_shipment/rev/d533f4a3d752
New changeset 2170003f2ad2 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/sale_subscription/rev/2170003f2ad2
New changeset 28f10984a9e8 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/sale_opportunity/rev/28f10984a9e8
New changeset b91bf2357ef3 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/sale_extra/rev/b91bf2357ef3
New changeset d48e4e17a665 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/sale_complaint/rev/d48e4e17a665
New changeset 7dafb08fbc8d by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/sale/rev/7dafb08fbc8d
New changeset 65b6d7982d8b by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/purchase_requisition/rev/65b6d7982d8b
New changeset 9dc5b9b07257 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/purchase_request_quotation/rev/9dc5b9b07257
New changeset 130fc8c0fe52 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/purchase_request/rev/130fc8c0fe52
New changeset cb020727f6a3 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/purchase/rev/cb020727f6a3
New changeset 386ff20b8827 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/project_invoice/rev/386ff20b8827
New changeset 272f15389f56 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/project/rev/272f15389f56
New changeset 214f99e8548f by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/production_work/rev/214f99e8548f
New changeset e6f2a103f5d5 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/production_split/rev/e6f2a103f5d5
New changeset 5efdc3b2689e by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/production/rev/5efdc3b2689e
New changeset 640a8c0f56b8 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/product_price_list_dates/rev/640a8c0f56b8
New changeset ad7db8493797 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/product_price_list/rev/ad7db8493797
New changeset 0261c9296cac by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/party/rev/0261c9296cac
New changeset dd13ad926568 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/notification_email/rev/dd13ad926568
New changeset 41346d7cc96c by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/currency/rev/41346d7cc96c
New changeset 392e75c7c3d2 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/country/rev/392e75c7c3d2
New changeset d4b9fd96d35b by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/commission/rev/d4b9fd96d35b
New changeset b61624632d36 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/analytic_account/rev/b61624632d36
New changeset 23c2f2773b90 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/account_stock_landed_cost/rev/23c2f2773b90
New changeset 08fc835be0e3 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/account_statement_ofx/rev/08fc835be0e3
New changeset b73035ce4a26 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/account_statement/rev/b73035ce4a26
New changeset 63f07be6e63c by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/account_payment_stripe/rev/63f07be6e63c
New changeset 668f567f505a by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/account_payment_sepa/rev/668f567f505a
New changeset 2186368b232f by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/account_payment_clearing/rev/2186368b232f
New changeset 7aeca099685c by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/account_payment/rev/7aeca099685c
New changeset f31f587cf445 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/account_invoice_correction/rev/f31f587cf445
New changeset a4b9670a27c1 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/account_invoice/rev/a4b9670a27c1
New changeset 5782f487df9c by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/account_fr/rev/5782f487df9c
New changeset f7c47346c544 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/account_eu/rev/f7c47346c544
New changeset 5a514acb2dac by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/account_dunning/rev/5a514acb2dac
New changeset 1d13e7d12b5a by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/account_deposit/rev/1d13e7d12b5a
New changeset df965c1cc34c by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/account_asset/rev/df965c1cc34c
New changeset a0f821c0043f by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/modules/account/rev/a0f821c0043f
New changeset ef466c6ea205 by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/sao/rev/ef466c6ea205
New changeset fb2e8328cddc by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/tryton/rev/fb2e8328cddc
New changeset 3941af5a11fb by Cédric Krier in branch 'default':
Update missing translations
https://hg.tryton.org/trytond/rev/3941af5a11fb
New changeset 79b5dc5ac416 by Sergi Almacellas Abellana in branch 'default':
Add translation release news
https://hg.tryton.org/www.tryton.org/rev/79b5dc5ac416
New changeset 516f46ffa997 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/web_user/rev/516f46ffa997
New changeset a4697c36b30f by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/stock_split/rev/a4697c36b30f
New changeset 1a6a6519aefd by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/stock_package_shipping_ups/rev/1a6a6519aefd
New changeset 5aedaef5f882 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/stock_package_shipping/rev/5aedaef5f882
New changeset edaec38e34af by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/stock_location_move/rev/edaec38e34af
New changeset 7d1bb7887fa0 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/stock_forecast/rev/7d1bb7887fa0
New changeset 2b54f5e9fd21 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/stock/rev/2b54f5e9fd21
New changeset ed2cad66239e by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/sale_supply_drop_shipment/rev/ed2cad66239e
New changeset d2295c5ac107 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/sale_subscription/rev/d2295c5ac107
New changeset b17e1050958d by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/sale_opportunity/rev/b17e1050958d
New changeset 75c02397d386 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/sale_extra/rev/75c02397d386
New changeset fb758ac2d228 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/sale_complaint/rev/fb758ac2d228
New changeset 400e2b72efbe by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/sale/rev/400e2b72efbe
New changeset 00633dd75c09 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/purchase_requisition/rev/00633dd75c09
New changeset ceef505dc361 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/purchase_request_quotation/rev/ceef505dc361
New changeset 057272143222 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/purchase_request/rev/057272143222
New changeset c6f2ef8f9feb by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/purchase/rev/c6f2ef8f9feb
New changeset a550d56d1870 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/project_invoice/rev/a550d56d1870
New changeset 98b6e9dd176e by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/project/rev/98b6e9dd176e
New changeset 76f486a19714 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/production_work/rev/76f486a19714
New changeset 89de93074669 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/production_split/rev/89de93074669
New changeset d637286a00d5 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/production/rev/d637286a00d5
New changeset 7daaf83192de by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/product_price_list_dates/rev/7daaf83192de
New changeset 300c9b087fcb by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/product_price_list/rev/300c9b087fcb
New changeset 71a374522fa4 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/party/rev/71a374522fa4
New changeset f4a1f49c4dd0 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/notification_email/rev/f4a1f49c4dd0
New changeset 50aa0bb8e144 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/currency/rev/50aa0bb8e144
New changeset cb2d1ea229c2 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/country/rev/cb2d1ea229c2
New changeset 835a4a28db81 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/commission/rev/835a4a28db81
New changeset b3bce9c05ae8 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/analytic_account/rev/b3bce9c05ae8
New changeset 9d67a8a1ca2c by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/account_stock_landed_cost/rev/9d67a8a1ca2c
New changeset d867a9f10ebc by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/account_statement_ofx/rev/d867a9f10ebc
New changeset 9fbb25219eb0 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/account_statement/rev/9fbb25219eb0
New changeset 4125041b9b8b by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/account_payment_stripe/rev/4125041b9b8b
New changeset 6748ccc5b2ee by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/account_payment_sepa/rev/6748ccc5b2ee
New changeset 0cb1d935b288 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/account_payment_clearing/rev/0cb1d935b288
New changeset 86ee60bb46a1 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/account_payment/rev/86ee60bb46a1
New changeset 4ce59bfecd44 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/account_invoice_correction/rev/4ce59bfecd44
New changeset 76e489f3dd0f by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/account_invoice/rev/76e489f3dd0f
New changeset 5b29d7224af3 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/account_fr/rev/5b29d7224af3
New changeset 9d641c1fa7fc by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/account_eu/rev/9d641c1fa7fc
New changeset 53db32de7a75 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/account_dunning/rev/53db32de7a75
New changeset a533e7536551 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/account_deposit/rev/a533e7536551
New changeset 42c20b30b14e by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/account_asset/rev/42c20b30b14e
New changeset 9968b7859d82 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/modules/account/rev/9968b7859d82
New changeset c044d54b5d75 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/sao/rev/c044d54b5d75
New changeset da60d4fd597a by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/tryton/rev/da60d4fd597a
New changeset c89b65cbdba8 by Cédric Krier in branch '4.8':
Update missing translations
https://hg.tryton.org/trytond/rev/c89b65cbdba8
review45081002 updated at https://codereview.tryton.org/45081002/#ps60001
review45081002 updated at https://codereview.tryton.org/45081002/#ps40001
review45081002 updated at https://codereview.tryton.org/45081002/#ps20001
New review45081002 at https://codereview.tryton.org/45081002/#ps1
msg40576 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-05-08.17:00:50
Here is review45081002 which adds a news explaining the new minor release.
msg40574 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-05-08.16:56:04
Spanish and Catalan done.
msg40517 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-05-05.17:13:25
French done.
msg40513 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-05-04.10:10:06
On 2018-05-04 10:02, Sergi Almacellas Abellana wrote:
> > I think it will even be good to make it for languages that do not have currently a active translator.
> 
> Probably we can mark as fuzzy all the translations that have the same value for src and value for languages that do not have an active translator so they can be fixed on the future.

I think removing the translation is cleaner.
I tried to update the database of pootle to do so using a SQL query
during the translation window. But obviously it did not work correctly.
So I think we have to do this manually.
msg40512 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-05-04.10:02:38
> It will be better to have a shorter delay so it does not block too long bugfix release (I would prefer to have this special release as the first bugfix release). So I propose 2 weeks, the 21st May.

Ok, let's go for 21st of May then.

> Also I thought about a way to find the translations issue. Probably the best way is to install all the modules with the target language and run a SQL query to find all ir.translation where src = value and fuzzy = false.

I think so. I will include this recomendation on the translations warning. 

> I think it will even be good to make it for languages that do not have currently a active translator.

Probably we can mark as fuzzy all the translations that have the same value for src and value for languages that do not have an active translator so they can be fixed on the future.
msg40511 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-05-04.09:50:04
It will be better to have a shorter delay so it does not block too long bugfix release (I would prefer to have this special release as the first bugfix release). So I propose 2 weeks, the 21st May.
Also I thought about a way to find the translations issue. Probably the best way is to install all the modules with the target language and run a SQL query to find all ir.translation where src = value and fuzzy = false.
I think it will even be good to make it for languages that do not have currently a active translator.
msg40510 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-05-04.09:32:10
Ok, I will send a mail to trytond-dev warning about the issue and asking the translations to fix them. It will be great to have a planning before starting the translation. I think 3 weeks is enough to check the translations so we can schedule the release for 28th of May. 

What do you think?

P.S: I will also write a news on the website explaining the reasons of the exceptional release and encourage people to do the database upgrade so new translations are loaded.
msg40509 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-05-04.00:04:47
Indeed I think the best will be to warn translators about the issue and give few weeks to fix them on Pootle and then make exceptionally a release with fixed translations.
msg40508 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2018-05-03.23:51:38
This comes from https://groups.google.com/d/msg/tryton-dev/i-w5GW9B390/GQlc2UDjAwAJ

So the only way to fix it is to fix them in pootle.
msg40504 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2018-05-03.16:47:51
We have found that there are some strings that have the English string for translation value. For example, the shipment in receive button is not translated in Spanish [1], Catalan [2], French[3] nor in Deutch[4].

I also found that is not afecting only one module. I have checked also the account module and it misses the same kind of translations [5]

[1] http://hg.tryton.org/modules/stock/file/98c229b8cb4a/locale/es.po#l1695
[2] http://hg.tryton.org/modules/stock/file/98c229b8cb4a/locale/ca.po#l1700
[3] http://hg.tryton.org/modules/stock/file/98c229b8cb4a/locale/fr.po#l1708
[4] http://hg.tryton.org/modules/stock/file/98c229b8cb4a/locale/de.po#l1706
[5] http://hg.tryton.org/modules/account/file/e978ecc8f044/locale/ca.po#l3987
History
Date User Action Args
2018-05-21 23:29:44roundup-botsetmessages: + msg40916
2018-05-21 23:29:38roundup-botsetmessages: + msg40915
2018-05-21 23:29:35roundup-botsetmessages: + msg40914
2018-05-21 23:29:31roundup-botsetmessages: + msg40913
2018-05-21 23:29:25roundup-botsetmessages: + msg40912
2018-05-21 23:29:20roundup-botsetmessages: + msg40911
2018-05-21 23:29:17roundup-botsetmessages: + msg40910
2018-05-21 23:29:14roundup-botsetmessages: + msg40909
2018-05-21 23:29:07roundup-botsetmessages: + msg40908
2018-05-21 23:28:58roundup-botsetmessages: + msg40907

Showing 10 items. Show all history (warning: this could be VERY long)